;
;
; AutoCount.LISP
;
; Davin Atkins 2023 – youtube.com/@atccad
;
; This LISP routine, asks the user for a starting number
; then a count interval. Then for each click, a new text
; object is placed with the next number in line
;
;
;————————————————————-
;————————————————————-

(defun c:AUTOCOUNT ()
  
  ; Check to see if the Text Style has a height defined - This will return 0.0 if NOT defined
  (setq STYLEHEIGHT (cdr (assoc 40 (tblsearch "style" (getvar "textstyle")))))

  (if (= STARTNUM nil)(setq STARTNUM 1))
  (setq TMPSTARTNUM (getint (strcat "\nCounting from <" (rtos STARTNUM 2 0) ">: ")))
  (if TMPSTARTNUM (setq STARTNUM TMPSTARTNUM))

  (if (= COUNTBY nil)(setq COUNTBY 1))
  (setq TMPCOUNTBY (getint (strcat "\nCounting interval <" (rtos COUNTBY 2 0) ">: ")))
  (if TMPCOUNTBY (setq COUNTBY TMPCOUNTBY))

  (while (setq INSPOINT (getpoint "\nClick the location of the next text element"))
    (if (= STYLEHEIGHT 0.0)
      (command "text" INSPOINT 6 0 STARTNUM)
      (command "text" INSPOINT 0 STARTNUM)
    )
    (setq STARTNUM (+ STARTNUM COUNTBY))
  )

  (princ)
)